## org.eclipse.xsd.ecore
Interface MapBuilder.Mapper

All Known Implementing Classes:
  XSD2EcoreMapper

Enclosing class:
  MapBuilder

    public static interface MapBuilder.Mapper

Method Summary
`void` `addInput(EObject eObject)`
`void` `addOutput(EObject eObject)`
`EObject` `getRoot()`
`void` `map(java.util.Collection<? extends EObject> inputs, java.util.Collection<? extends EObject> outputs)`

Method Detail

### getRoot

    EObject getRoot()

### addInput

    void addInput(EObject eObject)

### addOutput

    void addOutput(EObject eObject)

### map

    void map(java.util.Collection<? extends EObject> inputs,
             java.util.Collection<? extends EObject> outputs)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.